import { select, range } from 'd3';
import { fruitBowl } from './fruitBowl';

const svg = select('svg');

const makeFruit = type => ({
  type,
  id: Math.random()
});
let fruits = range(5)
  .map(() => makeFruit('apple'));

const render = () => {
  fruitBowl(svg, {
    fruits,
    height: +svg.attr('height')
  });
};

render();

// Eat an apple.
setTimeout(() => {
  fruits.pop();
  render();
}, 1000);

// Replacing an apple with a lemon.
setTimeout(() => {
  fruits[2].type = 'lemon';
  render();
}, 2000);

// Replacing an apple with a greenApple.
setTimeout(() => {
  fruits[3].type = 'lemon';
  render();
}, 2000);

// Replacing an apple with a greenApple.
setTimeout(() => {
  fruits[0].type = 'G-Apple';
  render();
}, 3000);

// Eat an apple.
setTimeout(() => {
  fruits = fruits.filter((d, i) => i !== 1);
  render();
}, 4000);

//replace another apple with greenApple
setTimeout(() => {
  fruits[3].type = 'G-Apple';
  render();
}, 5000);

// Eat an greenApple.
setTimeout(() => {
  fruits = fruits.filter((d, i) => i !== 3);
  render();
}, 6000);